{% extends 'base.html.twig' %}

{% block title %}Connexion{% endblock %}

{% block body %}
<div class="container-fluid">
    <div class="row">
        <div class="col-6 login-left-container">
        </div>
        <div class="col-6 login-right-container">
            <form method="post">
                <div class="login-form-container">
                    {% if error %}
                        <div class="alert alert-danger">{{ error.messageKey|trans(error.messageData, 'security') }}</div>
                    {% endif %}

                    {% if app.user %}
                        <div class="mb-3">
                            You are logged in as {{ app.user.username }}, <a href="{{ path('app_logout') }}">Logout</a>
                        </div>
                    {% endif %}
                    <div class="login-logo-title">
                        <img class="login-logo-img" alt="logo Netflax" src="{{ asset('img/netflax.png') }}">
                    </div>
                    <div class="login-title">
                        <h2>Vous êtes de retour ?</h2>
                        <h6><span class="underline">Connectez-vous</span> pour continuer.</h6>
                    </div>
                    <div class="login-input-container">
                        <label for="inputEmail">Email</label>
                        <input type="email" value="{{ last_username }}" name="email" id="inputEmail" placeholder="Votre adresse e-mail" class="form-control login-input" required autofocus>
                    </div>
                    <div class="login-input-container">
                        <label for="inputPassword">Password</label>
                        <input type="password" name="password" id="inputPassword" placeholder="Votre mot de passe" class="form-control login-input" required>
                    </div>
                    <input type="hidden" name="_csrf_token"
                        value="{{ csrf_token('authenticate') }}"
                    >
                    <div class="login-btn-container d-flex justify-content-between">
                        <button class="btn btn-lg btn-primary login-btn" type="submit">
                            Se connecter
                        </button>
                        <a href="{{ path('app_register') }}" class="btn btn-outline-primary login-subscribe d-flex align-items-center justify-content-center">
                            Créer un compte
                        </a>
                    </div>
                </div>
            </form>
        </div>
    </div>
</div>
{% endblock %}